Page MenuHomePhabricator

[ARM] MVE VRINT support
ClosedPublic

Authored by dmgreen on Jul 1 2019, 3:01 AM.

Details

Summary

This adds support for the floor/ceil/trunc/... series of instructions, converting to various forms of VRINT. They use the same suffixes as the floating point counterparts do. There is not VTINTR, so nearbyint is expanded.

Also added a copysign test, to show it is expanded.

Diff Detail

Repository
rL LLVM

Event Timeline

dmgreen created this revision.Jul 1 2019, 3:01 AM
dmgreen updated this revision to Diff 207514.Jul 2 2019, 4:30 AM

Updated tests to include +mve expansion, like the other patches.

SjoerdMeijer accepted this revision.Jul 9 2019, 2:43 AM

looks reasonable

This revision is now accepted and ready to land.Jul 9 2019, 2:43 AM
Closed by commit rL366003: [ARM] MVE VRINT support (authored by dmgreen, committed by ). · Explain WhyJul 13 2019, 7:39 AM
This revision was automatically updated to reflect the committed changes.